Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.rmi
Class RMIClientInvoker

    java.lang.Object
      org.jboss.remoting.AbstractInvoker
          org.jboss.remoting.MicroRemoteClientInvoker
              org.jboss.remoting.RemoteClientInvoker
                  org.jboss.remoting.transport.rmi.RMIClientInvoker

All Implemented Interfaces:
  Invoker, ClientInvoker

Direct Known Subclasses:
  SSLRMIClientInvoker

    public class RMIClientInvoker

extends RemoteClientInvoker

RMIClientInvoker

Version:
  $Revision: 2390 $
Author:
  Jeff Haynie, Tom Elrod

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.remoting.AbstractInvoker
`AbstractInvoker.CallbackLocatorHolder`

Field Summary

Fields inherited from class org.jboss.remoting.AbstractInvoker
`classbyteloader, configuration, localServerLocators, locator, serializationType, socketFactory, socketFactoryCreatedFromSSLParameters`

Constructor Summary
`RMIClientInvoker(InvokerLocator locator)`
`RMIClientInvoker(InvokerLocator locator, java.util.Map configuration)`

Method Summary
`protected java.lang.String` | `getDefaultDataType()` Each implementation of the remote client invoker should have a default data type that is uses in the case it is not specified in the invoker locator uri.
`RMIServerInvokerInf` | `getServerStub()` return the RMI server stub
`protected void` | `handleConnect()` subclasses must implement this method to provide a hook to connect to the remote server, if this applies to the specific transport.
`protected void` | `handleDisconnect()` subclasses must implement this method to provide a hook to disconnect from the remote server, if this applies to the specific transport.
`void` | `setServerStub(RMIServerInvokerInf server)` get the server stub
`protected void` | `storeLocalConfig(java.util.Map config)`
`protected java.lang.Object` | `transport(java.lang.String sessionId, java.lang.Object invocation, java.util.Map metadata, Marshaller marshaller, UnMarshaller unmarshaller)`

Methods inherited from class org.jboss.remoting.MicroRemoteClientInvoker
`connect, disconnect, establishLease, finalize, getLeasePeriod, getMarshaller, getSessionId, getUnMarshaller, invoke, isConnected, postProcess, preProcess, setMarshaller, setUnMarshaller, terminateLease`

Methods inherited from class org.jboss.remoting.AbstractInvoker
`addClientLocator, createSocketFactory, getClassLoader, getClientLocator, getClientLocators, getLocator, getSerializationType, getSocketFactory, isCompleteSocketFactory, isSocketFactoryCreatedFromSSLParameters, needsCustomSSLConfiguration, setClassLoader, setSerializationType, setSocketFactory, wrapSocketFactory`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.remoting.transport.ClientInvoker
`addClientLocator, getClientLocator, getClientLocators, getSocketFactory, setSocketFactory`

Methods inherited from interface org.jboss.remoting.Invoker
`getLocator`

Constructor Detail

### RMIClientInvoker

    public RMIClientInvoker(InvokerLocator locator)

### RMIClientInvoker

    public RMIClientInvoker(InvokerLocator locator,
                            java.util.Map configuration)

Method Detail

### setServerStub

    public void setServerStub(RMIServerInvokerInf server)

  get the server stub

  Parameters:
    `server` -

### getServerStub

    public RMIServerInvokerInf getServerStub()

  return the RMI server stub

  Returns:

### handleConnect

    protected void handleConnect()
                          throws ConnectionFailedException

  subclasses must implement this method to provide a hook to connect to the remote server, if this applies to the specific transport. However, in some transport implementations, this may not make must difference since the connection is not persistent among invocations, such as SOAP. In these cases, the method should silently return without any processing.

  Specified by:
    `handleConnect` in class `MicroRemoteClientInvoker`
  Throws:
    `ConnectionFailedException`

### handleDisconnect

    protected void handleDisconnect()

  subclasses must implement this method to provide a hook to disconnect from the remote server, if this applies to the specific transport. However, in some transport implementations, this may not make must difference since the connection is not persistent among invocations, such as SOAP. In these cases, the method should silently return without any processing.

  Specified by:
    `handleDisconnect` in class `MicroRemoteClientInvoker`

### getDefaultDataType

    protected java.lang.String getDefaultDataType()

  Description copied from class: `MicroRemoteClientInvoker`
  Each implementation of the remote client invoker should have a default data type that is uses in the case it is not specified in the invoker locator uri.

  Specified by:
    `getDefaultDataType` in class `MicroRemoteClientInvoker`

### storeLocalConfig

    protected void storeLocalConfig(java.util.Map config)

### transport

    protected java.lang.Object transport(java.lang.String sessionId,
                                         java.lang.Object invocation,
                                         java.util.Map metadata,
                                         Marshaller marshaller,
                                         UnMarshaller unmarshaller)
                                  throws java.io.IOException,
                                         ConnectionFailedException

  Specified by:
    `transport` in class `MicroRemoteClientInvoker`
  Throws:
    `java.io.IOException`
    `ConnectionFailedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.